<?php
/*
Plugin Name: AskCybex AI - Blog Generation
Description: AskCybex AI - Blog Generation
Version: 1.0.0
Author: AskCybex
Author URI: https://askcybex.com
*/

/**
 * Basic plugin definitions 
 * 
 * @package Askcybex AI - Blog Generation
 * @since 1.0.0
 */
if( !defined( 'AIBG_DIR' ) ) {
  define( 'AIBG_DIR', dirname( __FILE__ ) );      // Plugin dir
}
if( !defined( 'AIBG_URL' ) ) {
  define( 'AIBG_URL', plugin_dir_url( __FILE__ ) );   // Plugin url
}
if( !defined( 'AIBG_INC_DIR' ) ) {
  define( 'AIBG_INC_DIR', AIBG_DIR.'/includes' );   // Plugin include dir
}
if( !defined( 'AIBG_INC_URL' ) ) {
  define( 'AIBG_INC_URL', AIBG_URL.'includes' );    // Plugin include url
}
if( !defined( 'AIBG_ADMIN_DIR' ) ) {
  define( 'AIBG_ADMIN_DIR', AIBG_INC_DIR.'/admin' );  // Plugin admin dir
}
if(!defined('AIBG_TD')) {
  define('AIBG_TD', 'vishal-customization'); // Plugin Text Domain
}

/**
 * Load Text Domain
 *
 * This gets the plugin ready for translation.
 *
 * @package Askcybex AI - Blog Generation
 * @since 1.0.0
 */
load_plugin_textdomain( AIBG_TD, false, dirname( plugin_basename( __FILE__ ) ) . '/languages/' );

/**
 * Activation Hook
 *
 * Register plugin activation hook.
 *
 * @package Askcybex AI - Blog Generation
 * @since 1.0.0
 */
register_activation_hook( __FILE__, 'aibg_install' );

function aibg_install(){
	
}

/**
 * Deactivation Hook
 *
 * Register plugin deactivation hook.
 *
 * @package Askcybex AI - Blog Generation
 * @since 1.0.0
 */
register_deactivation_hook( __FILE__, 'aibg_uninstall');

function aibg_uninstall(){
  
}

// Global variables
global $aibg_scripts, $aibg_admin;

// Script class handles most of script functionalities of plugin
include_once( AIBG_INC_DIR.'/class-aibg-scripts.php' );
$aibg_scripts = new Aibg_Scripts();
$aibg_scripts->add_hooks();

// Admin class handles most of admin panel functionalities of plugin
include_once( AIBG_ADMIN_DIR.'/class-aibg-admin.php' );
$aibg_admin = new Aibg_Admin();
$aibg_admin->add_hooks();

include_once( AIBG_INC_DIR.'/aibg-shortcodes.php' );

?>