<?php
// Exit if accessed directly
if ( !defined( 'ABSPATH' ) ) exit;
$aibg_api_key = !empty( get_option('aibg_api_key') ) ? get_option('aibg_api_key') : '';
?>
<div class="aibg_content_wrapper">

    <div class="aibg_first_step">

        <div class="aibg_api_field">
            <input type="text" name="aibg_api_input" id="aibg_api_input" class="aibg_api_input" placeholder="Enter your API key" value="<?php echo esc_attr( $aibg_api_key ); ?>">
            <p class="description">To create a free account and generate an API key, visit AskCybex.com. For a free demo and installation assistance, please email us at <a href="mailto:contact@askcybex.com">contact@askcybex.com</a>.</p>
        </div>

        <div class="aibg_api_field aibg_ai_type_wrapper">
            <label for="aibg_generative_ai">
                <input type="radio" name="aibg_ai_type" id="aibg_generative_ai" checked>
                Generative AI
            </label>
            <label for="aibg_pre_trained_ai">
                <input type="radio" name="aibg_ai_type" id="aibg_pre_trained_ai" >
                Pre-Trained AI
            </label>
        </div>

        <div class="aibg_api_field">
            <button class="aibg_api_verify_btn" type="button">
                <span class="aibg_button_text">
                    Submit
                </span>
                <span class="aibg_preloader">
                    <i class="fas fa-sync" aria-hidden="true"></i>
                </span>
            </button>
        </div>

    </div>

    <div class="aibg_second_step aibg_inner_steps_wrapper">

        <div class="aibg_inner_step" data-step="1">

            <div class="aibg_api_field aibg_action_buttons">
                <button type="button" class="aibg_reset_button" title="Reset">
                    <i class="fas fa-sync"></i> 
                    Reset
                </button>
                <button type="button" class="aibg_restart_button" title="Restart">
                    <i class="fas fa-redo"></i> 
                    Restart
                </button>
            </div>

            <div class="aibg_api_field">
                <input type="text" name="aibg_title" id="aibg_title" class="aibg_title" placeholder="Enter your title">
            </div>
    
            <div class="aibg_api_field">
                <span class="aibg_or_breaker">OR</span>
            </div>
    
            <div class="aibg_api_field">
                <input type="text" name="aibg_words" id="aibg_words" class="aibg_words" placeholder="Enter some words">
                <p class="aibg_desc_for_title description">Give us some idea on what you wish to write about and AI will generate a blog title. </p>
            </div>
    
            <div class="aibg_api_field">
    
                <button class="aibg_generate_btn" type="button">
                    <span class="aibg_button_text">
                        Generate
                    </span>
                    <span class="aibg_preloader">
                        <i class="fas fa-sync" aria-hidden="true"></i>
                    </span>
                </button>
    
                <div class="aibg_btn_after_generation">
                    <button class="aibg_accept_btn">Accept</button>
                    <button class="aibg_regenerate_btn" type="button">
                        <span class="aibg_button_text">
                            Regenerate
                        </span>
                        <span class="aibg_preloader">
                            <i class="fas fa-sync" aria-hidden="true"></i>
                        </span>
                    </button>
                </div>
    
            </div>

            <div class="aibg_footer_buttons">
                <button class="aibg_previous_btn" data-prev-step="0">Previous</button>
                <button class="aibg_next_btn" data-next-step="2" >Next</button>
            </div>
        </div>
        
        <div class="aibg_inner_step" data-step="2">

            <div class="aibg_api_field aibg_action_buttons">
                <button type="button" class="aibg_reset_button" title="Reset">
                    <i class="fas fa-sync"></i> Reset
                </button>
                <button type="button" class="aibg_restart_button" title="Restart">
                    <i class="fas fa-redo"></i> Restart
                </button>
            </div>

            <div class="aibg_api_field">
                <input type="number" step="1" min="1" name="aibg_sections" class="aibg_sections" placeholder="How many sections you need?">
                <p class="aibg_desc_of_sections"> Write number of sections/paragraphs you want in the blog, including introduction paragraph. </p>
            </div>
    
            <div class="aibg_footer_buttons">
                <button class="aibg_previous_btn" data-prev-step="1">Previous</button>
                <button class="aibg_next_btn" data-next-step="3" >Next</button>
            </div>
        </div>

        <div class="aibg_inner_step" data-step="3">

            <div class="aibg_api_field aibg_action_buttons">
                <button type="button" class="aibg_reset_button" title="Reset">
                    <i class="fas fa-sync"></i> Reset
                </button>
                <button type="button" class="aibg_restart_button" title="Restart">
                    <i class="fas fa-redo"></i> Restart
                </button>
            </div>

            <div class="aibg_api_field">
                <h2>Use this screen to provide ideas about each paragraph or ask AI to generate paragraph ideas. Keep each section idea, less than 50 words. </h2>
            </div>

            <div class="aibg_sections_wrapper">
            </div>
    
            <div class="aibg_footer_buttons">
                <button class="aibg_previous_btn" data-prev-step="2">Previous</button>
                <button class="aibg_next_btn" data-next-step="4" >
                    <span class="aibg_button_text">
                        Next
                    </span>
                    <span class="aibg_preloader">
                        <i class="fas fa-sync" aria-hidden="true"></i>
                    </span>
                </button>
            </div>
        </div>

        <div class="aibg_inner_step" data-step="4">
            
            <div class="aibg_api_field aibg_action_buttons">
                <button type="button" class="aibg_reset_button" title="Reset">
                    <i class="fas fa-sync"></i> Reset
                </button>
                <button type="button" class="aibg_restart_button" title="Restart">
                    <i class="fas fa-redo"></i> Restart
                </button>
            </div>

            <div class="aibg_response_sections_wrapper">
            </div>
    
            <div class="aibg_footer_buttons">
                <button class="aibg_previous_btn" data-prev-step="3">Previous</button>
                <div>
                    <button class="aibg_next_btn" data-next-step="5" >
                        <span class="aibg_button_text">
                            Next
                        </span>
                        <span class="aibg_preloader">
                            <i class="fas fa-sync" aria-hidden="true"></i>
                        </span>
                    </button>
                    <button class="aibg_save_draft" type="button" data-post-type="page">
                        <span class="aibg_button_text">
                            Save as page
                        </span>
                        <span class="aibg_preloader">
                            <i class="fas fa-sync" aria-hidden="true"></i>
                        </span>
                    </button>
                    <button class="aibg_save_draft" type="button" data-post-type="post">
                        <span class="aibg_button_text">
                            Save as post
                        </span>
                        <span class="aibg_preloader">
                            <i class="fas fa-sync" aria-hidden="true"></i>
                        </span>
                    </button>
                </div>
            </div>
        </div>

        <div class="aibg_inner_step" data-step="5">

            <div class="aibg_api_field aibg_action_buttons">
                <button type="button" class="aibg_reset_button" title="Reset">
                    <i class="fas fa-sync"></i> Reset
                </button>
                <button type="button" class="aibg_restart_button" title="Restart">
                    <i class="fas fa-redo"></i> Restart
                </button>
            </div>

            <div class="aibg_api_field">
                <input type="text" name="aibg_header_image_desc" class="aibg_header_image_desc" placeholder="Write a description for header image..">
            </div>

            <div class="aibg_image_wrapper">
            </div>

            <div class="aibg_api_field">
                <button class="aibg_generate_img_btn" type="button">
                    <span class="aibg_button_text">
                        Generate
                    </span>
                    <span class="aibg_preloader">
                        <i class="fas fa-sync" aria-hidden="true"></i>
                    </span>
                </button>

                <div class="aibg_btn_after_generation">
                    <button class="aibg_accept_img_btn">Accept</button>
                    <button class="aibg_regenerate_img_btn" type="button">
                        <span class="aibg_button_text">
                            Regenerate
                        </span>
                        <span class="aibg_preloader">
                            <i class="fas fa-sync" aria-hidden="true"></i>
                        </span>
                    </button>
                </div>
            </div>
    
            <div class="aibg_footer_buttons">
                <button class="aibg_previous_btn" data-prev-step="4">Previous</button>
                <div>
                    <button class="aibg_save_draft" type="button" data-post-type="page">
                        <span class="aibg_button_text">
                            Save as page
                        </span>
                        <span class="aibg_preloader">
                            <i class="fas fa-sync" aria-hidden="true"></i>
                        </span>
                    </button>
                    <button class="aibg_save_draft" type="button" data-post-type="post">
                        <span class="aibg_button_text">
                            Save as post
                        </span>
                        <span class="aibg_preloader">
                            <i class="fas fa-sync" aria-hidden="true"></i>
                        </span>
                    </button>
                </div>
            </div>
        </div>

        <!-- <div class="aibg_inner_step" data-step="6">

            <div class="aibg_demo_blog_wrapper">
            </div>
            
            <div class="aibg_footer_buttons">
                <button class="aibg_previous_btn" data-prev-step="4">Previous</button>

                <button class="aibg_save_draft" type="button">
                    <span class="aibg_button_text">
                        Save as draft
                    </span>
                    <span class="aibg_preloader">
                        <i class="fas fa-sync" aria-hidden="true"></i>
                    </span>
                </button>
            </div>
        </div> -->

    </div>

</div>