<?php
// Exit if accessed directly
if ( !defined( 'ABSPATH' ) ) exit;

/**
 * Scripts Class
 *
 * Handles adding scripts functionality to the admin pages
 * as well as the front pages.
 *
 * @package Askcybex AI - Blog Generation
 * @since 1.0.0
 */
class Aibg_Scripts {

	//class constructor
	function __construct()
	{
		
	}
	
	/**
	 * Enqueue Scripts on Public Side
	 * 
	 * @package Askcybex AI - Blog Generation
	 * @since 1.0.0
	 */
	public function aibg_admin_scripts(){
		
		wp_register_style( 'aibg-font-awesome-style', 'https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.2/css/all.min.css', array(), '6.5.4' );
		wp_enqueue_style( 'aibg-font-awesome-style' );
		
		wp_register_style( 'aibg-admin-style', AIBG_INC_URL.'/css/aibg-admin.css', array(), 20 );
		wp_enqueue_style( 'aibg-admin-style' );
		
		wp_enqueue_script('jquery');
		
		wp_register_script( 'aibg-admin-script', AIBG_INC_URL.'/js/aibg-admin.js', array(), 65, true );
		wp_enqueue_script( 'aibg-admin-script' );

		wp_localize_script( 'aibg-admin-script', 'Aibg', array(
			'ajax_url' 		=> admin_url( 'admin-ajax.php' ),
			'nonce'    		=> wp_create_nonce('nonce')
		));
	}
	
	/**
	 * Adding Hooks
	 *
	 * Adding hooks for the styles and scripts.
	 *
	 * @package Askcybex AI - Blog Generation
	 * @since 1.0.0
	 */
	function add_hooks(){
		
		add_action( 'admin_enqueue_scripts', array( $this, 'aibg_admin_scripts' ) );
	}
}
?>