jQuery(document).ready(function ($) {

    $(document).on('click', '.aibg_api_verify_btn', function (e) {

        e.preventDefault();

        var $this = $(this);

        $(document).find('.aibg_errors').remove();

        var aibg_api_input = $(document).find('.aibg_api_input').val().trim();

        if (aibg_api_input == '' || aibg_api_input == null) {
            $(document).find('.aibg_api_input').after('<span class="aibg_errors">Please enter API key.</span>');
        }
        else {

            $this.addClass('aibg_ajaxing');

            $.ajax({
                url: Aibg.ajax_url,
                type: 'POST',
                data: {
                    action: 'aibg_save_api_key',
                    aibg_api_key: aibg_api_input,
                    nonce: Aibg.nonce
                },
                success: function (response) {

                    $this.removeClass('aibg_ajaxing');

                    var res = JSON.parse(response);

                    if (res.success) {
                        $(document).find('.aibg_first_step').fadeOut(function () {
                            $(document).find('.aibg_second_step, .aibg_inner_step[data-step="1"]').fadeIn();
                        });
                    }
                }
            })

        }
    })

    $(document).on('click', '.aibg_generate_btn, .aibg_regenerate_btn', function (e) {

        var $this = $(this);

        var aibg_generative = $(document).find('#aibg_generative_ai').is(':checked');

        e.preventDefault();

        var aibg_regenerate = false;

        if ($(this).hasClass('aibg_regenerate_btn')) {
            aibg_regenerate = true;
        }

        $(document).find('.aibg_errors').remove();

        var aibg_words = $(document).find('.aibg_words').val().trim();

        var aibg_api_key = $(document).find('.aibg_api_input').val().trim();

        if (aibg_words == '' || aibg_words == null) {
            $(document).find('.aibg_desc_for_title').after('<span class="aibg_errors">Please enter words.</span>');
        }
        else {

            $this.addClass('aibg_ajaxing');

            $.ajax({
                url: Aibg.ajax_url,
                type: 'POST',
                data: {
                    action: 'aibg_generate_title',
                    aibg_words: aibg_words,
                    aibg_regenerate: aibg_regenerate,
                    aibg_generative: aibg_generative,
                    aibg_api_key: aibg_api_key,
                    nonce: Aibg.nonce
                },
                success: function (response) {

                    $this.removeClass('aibg_ajaxing');

                    var res = JSON.parse(response);

                    if (res.success) {
                        $this.parents('.aibg_inner_step').find('.aibg_title').val(res.aibg_title).trigger('input');

                        $this.parents('.aibg_inner_step').find('.aibg_generate_btn').hide();

                        $(document).find('.aibg_desc_for_title').html('To better regenerate title, we suggest changing blog title idea.')

                        $this.parents('.aibg_inner_step').find('.aibg_btn_after_generation').show().css('display', 'flex');

                        $this.parents('.aibg_inner_step').find('.aibg_btn_after_generation .aibg_accept_btn').addClass('aibg_acception_required');
                    }
                    else {
                        alert(res.error);
                    }
                }
            })
        }
    })

    $(document).on('change', '.aibg_words', function (e) {

        $(document).find('.aibg_title').trigger('input')
    })

    $(document).on('click', '.aibg_accept_btn, .aibg_accept_desc_btn , .aibg_accept_img_btn', function (e) {

        $(this).html('Accepted');

        $(this).addClass('aibg_title_accepted');

    })

    $(document).on('click', '.aibg_next_btn', function (e) {

        e.preventDefault();

        var $this = $(this);

        $(document).find('.aibg_errors').remove();

        var aibg_go_to_next = false;

        var aibg_next_step = Number($(this).data('next-step'));

        var aibg_current_step = aibg_next_step - 1;

        if (aibg_current_step == 1) {
            var aibg_title = $(document).find('.aibg_title').val().trim();

            if (aibg_title != '' && aibg_title != null) {
                if ($(document).find('.aibg_acception_required').length > 0 && !$(document).find('.aibg_acception_required').hasClass('aibg_title_accepted')) {
                    $(document).find('.aibg_title').after('<span class="aibg_errors">Please accept the title.</span>');
                }
                else {
                    aibg_go_to_next = true;
                }
            }
            else {
                $(document).find('.aibg_title').after('<span class="aibg_errors">Please enter or generate title.</span>');
            }
        }
        else if (aibg_current_step == 2) {
            var aibg_sections = Number($(document).find('.aibg_sections').val().trim());

            if (aibg_sections != '' && aibg_sections != 0 && aibg_sections != null) {
                $(document).find('.aibg_sections_wrapper').empty();

                var aibg_title = $(document).find('.aibg_title').val().trim();

                for (let i = 1; i <= aibg_sections; i++) {

                    var aibg_placeholder = "";

                    var aibg_value = "";

                    var aibg_accept_buttons = "";

                    if (i == 1) {
                        var aibg_value = "Write a introduction of this " + aibg_title;
                        var aibg_placeholder = "Write a introduction of blog..";
                    }
                    else if (i == aibg_sections) {
                        var aibg_value = "Write summary of this " + aibg_title;
                        var aibg_placeholder = "Write summary of blog..";
                    }
                    else {
                        aibg_accept_buttons = `<div class="aibg_description_buttons_wrapper">
                            <button class="aibg_description_accept" data-index="`+ i + `">Accept</button>
                            <button class="aibg_description_generate" data-index="`+ i + `">
                                 <span class="aibg_button_text">
                                    Generate
                                </span>
                                <span class="aibg_preloader">
                                    <i class="fas fa-sync" aria-hidden="true"></i>
                                </span>
                            </button>
                        </div>`;
                    }

                    $(document).find('.aibg_sections_wrapper').append(`
                        <div class="aibg_single_section_wrapper">
                            <div class="aibg_api_field">
                                <textarea data-index="`+ i + `" rows="6" name="aibg_desc_words" class="aibg_desc_words" placeholder="` + aibg_placeholder + `">` + aibg_value + `</textarea>
                            </div>
                            `+ aibg_accept_buttons + `
                        </div>
                    `);

                }

                $(document).find('.aibg_desc_words').trigger('change');

                aibg_go_to_next = true;
            }
            else {
                $(document).find('.aibg_desc_of_sections').after('<span class="aibg_errors">Please enter number of sections.</span>');
            }
        }
        else if (aibg_current_step == 3) {
            var aibg_textarea_is_blank = false;

            var aibg_desc_words_arr = [];

            var post_title = $("#aibg_title").val();

            $(document).find('.aibg_desc_words').each(function () {

                var aibg_desc_words = $(this).val().trim();

                aibg_desc_words_arr.push(aibg_desc_words);

                if (aibg_desc_words == '' || aibg_desc_words == null) {
                    aibg_textarea_is_blank = true;

                    $(this).after('<span class="aibg_errors">Please enter data here.</span>');
                }
                else {
                    var words = aibg_desc_words.split(/\s+/);

                    var wordCount = words.length;

                    if (wordCount > 50) {
                        aibg_textarea_is_blank = true;

                        $(this).after('<span class="aibg_errors">Please enter only 50 words.</span>');
                    }
                }

            })


            if (!aibg_textarea_is_blank) {
                $(document).find('.aibg_description_accept').each(function () {

                    if (!$(this).hasClass('aibg_description_accepted')) {
                        aibg_textarea_is_blank = true;

                        $(this).parents('.aibg_single_section_wrapper').find('.aibg_desc_words').after('<span class="aibg_errors">Please accept this idea.</span>')


                    }

                })
            }


            if (!aibg_textarea_is_blank) {
                var aibg_generative = $(document).find('#aibg_generative_ai').is(':checked');

                var aibg_api_key = $(document).find('.aibg_api_input').val().trim();

                $(this).addClass('aibg_ajaxing');

                $.ajax({
                    url: Aibg.ajax_url,
                    type: 'POST',
                    data: {
                        action: 'aibg_generate_all_description',
                        aibg_desc_words_arr: aibg_desc_words_arr,
                        post_title: post_title,
                        aibg_generative: aibg_generative,
                        aibg_api_key: aibg_api_key,
                        nonce: Aibg.nonce
                    },
                    success: function (response) {

                        $this.removeClass('aibg_ajaxing');

                        var res = JSON.parse(response);

                        if (res.success) {
                            $(document).find('.aibg_response_sections_wrapper').html(res.aibg_response_desc);

                            if (!$(document).find('#aibg_generative_ai').is(':checked')) {
                                $(document).find('.aibg_inner_step[data-step="4"] .aibg_save_draft').show();
                                $(document).find('.aibg_inner_step[data-step="4"] .aibg_next_btn').hide();
                            }
                            else {
                                $(document).find('.aibg_inner_step[data-step="4"] .aibg_save_draft').hide();
                                $(document).find('.aibg_inner_step[data-step="4"] .aibg_next_btn').show();
                            }

                            $(document).find('.aibg_inner_step[data-step="' + aibg_current_step + '"]').fadeOut(function () {
                                $(document).find('.aibg_inner_step[data-step="' + aibg_next_step + '"]').fadeIn();
                            })

                        }
                        else {
                            alert(res.error);
                        }

                    }
                })

            }

        }
        else if (aibg_current_step == 4) {

            $(document).find('.aibg_textarea_sections').each(function () {

                var aibg_textarea_sections = $(this).val().trim();

                if (aibg_textarea_sections == '' || aibg_textarea_sections == null) {
                    aibg_textarea_is_blank = true;

                    $(this).after('<span class="aibg_errors">Please enter data here.</span>');
                }

            })

            if (!aibg_textarea_is_blank) {
                var aibg_title = $(document).find('.aibg_title').val().trim();

                $(document).find('.aibg_header_image_desc').val('Generate image for this ' + aibg_title)

                aibg_go_to_next = true;
            }

        }
        else if (aibg_current_step == 5) {
            if ($(this).parents('.aibg_inner_step').find('.aibg_acception_required').length > 0 && $(this).parents('.aibg_inner_step').find('.aibg_title_accepted').length == 0) {
                $(".aibg_header_image_desc").after('<span class="aibg_errors">Please accept the image.</span>');
            }
            else {
                $(".aibg_demo_blog_wrapper").html('');

                var aibg_title = $("#aibg_title").val();

                if (aibg_title != '') {
                    $(".aibg_demo_blog_wrapper").append('<div>' + aibg_title + '</div>');
                }

                if ($(".aibg_image_wrapper img").length > 0) {
                    var header_image_src = $(".aibg_image_wrapper img").attr('src');

                    if (header_image_src != '') {
                        $(".aibg_demo_blog_wrapper").append('<img src="' + header_image_src + '">');
                    }
                }

                $('.aibg_textarea_sections').each(function () {

                    var value = $(this).val();

                    $(".aibg_demo_blog_wrapper").append('<div>' + value + '</div>');
                });

                aibg_go_to_next = true;
            }
        }

        if (aibg_go_to_next) {
            $(document).find('.aibg_inner_step[data-step="' + aibg_current_step + '"]').fadeOut(function () {
                $(document).find('.aibg_inner_step[data-step="' + aibg_next_step + '"]').fadeIn()
            })
        }

    })

    $(document).on('click', '.aibg_previous_btn', function (e) {

        e.preventDefault();

        var aibg_prev_step = Number($(this).data('prev-step'));

        var aibg_current_step = aibg_prev_step + 1;

        $(document).find('.aibg_inner_step[data-step="' + aibg_current_step + '"]').fadeOut(function () {

            if (aibg_prev_step == 0) {
                $(document).find('.aibg_first_step').fadeIn(function () {
                    $(document).find('.aibg_second_step, .aibg_inner_step[data-step="1"]').fadeOut();
                });
            }
            else {
                $(document).find('.aibg_inner_step[data-step="' + aibg_prev_step + '"]').fadeIn()
            }
        })

    })

    $(document).on('click', '.aibg_generate_img_btn, .aibg_regenerate_img_btn', function () {

        var $this = $(this);

        $this.parents('.aibg_inner_step').find('.aibg_image_wrapper').empty()

        $(document).find('.aibg_errors').remove();

        var aibg_header_image_desc = $(document).find('.aibg_header_image_desc').val().trim();

        if (aibg_header_image_desc != '' && aibg_header_image_desc != null) {

            aibg_header_image_desc = aibg_header_image_desc.replace(/"/g, '');
            aibg_header_image_desc = aibg_header_image_desc.replace(/'/g, '');

            var aibg_generative = $(document).find('#aibg_generative_ai').is(':checked');

            var aibg_api_key = $(document).find('.aibg_api_input').val().trim();

            $this.addClass('aibg_ajaxing');

            $.ajax({
                url: Aibg.ajax_url,
                type: 'POST',
                data: {
                    action: 'aibg_generate_header_image',
                    aibg_header_image_desc: aibg_header_image_desc,
                    aibg_generative: aibg_generative,
                    aibg_api_key: aibg_api_key,
                    nonce: Aibg.nonce
                },
                success: function (response) {

                    $this.removeClass('aibg_ajaxing');

                    var res = JSON.parse(response);

                    if (res.success) {
                        $this.parents('.aibg_inner_step').find('.aibg_image_wrapper').append('<img src="' + res.aibg_header_image + '">')

                        $this.parents('.aibg_inner_step').find('.aibg_image_wrapper').append('<p class="description">To regenerate image, change the text above.</p>')

                        $this.hide();

                        $this.parents('.aibg_inner_step').find('.aibg_accept_img_btn').addClass('aibg_acception_required');

                        $this.parents('.aibg_inner_step').find('.aibg_btn_after_generation').show().css('display', 'flex');

                        $this.parents('.aibg_inner_step').find('.aibg_btn_after_generation button').show();
                    }
                    else {
                        alert(res.error);
                    }
                }
            })

        }
        else {
            $(document).find('.aibg_header_image_desc').after('<span class="aibg_errors">Please enter some words to generate a header image.</span>')
        }

    })

    $(document).on('click', '.aibg_save_draft', function () {

        var post_featured_image = '';

        // if ($(document).find('.aibg_accept_img_btn.aibg_acception_required').length > 0 && !$(document).find('.aibg_accept_img_btn.aibg_acception_required').hasClass('aibg_title_accepted')) 
        // {
        //     $(document).find('.aibg_image_wrapper').after('<span class="aibg_errors">Please accept the image.</span>');
        // }
        // else 
        // {
            var aibg_this = $(this);

            aibg_this.addClass('aibg_ajaxing');

            var post_featured_image = '';

            if ($(document).find('.aibg_accept_img_btn.aibg_acception_required').length <= 0 || $(document).find('.aibg_accept_img_btn.aibg_acception_required').hasClass('aibg_title_accepted')) 
            {
                if ($(".aibg_image_wrapper img").length > 0) 
                {
                    var post_featured_image = $(".aibg_image_wrapper img").attr('src');
                }
            }

            var post_title = $("#aibg_title").val();

            var post_content = '';

            $('.aibg_textarea_sections').each(function () {

                var value = $(this).val();

                post_content += value + '\n\n';
            });

            var post_type = aibg_this.data('post-type');

            $.ajax({
                url: Aibg.ajax_url,
                type: 'POST',
                data: {
                    action: 'aibg_save_post_as_draft',
                    post_featured_image: post_featured_image,
                    post_title: post_title,
                    post_content: post_content,
                    post_type : post_type,
                    nonce: Aibg.nonce
                },
                success: function (response) {

                    aibg_this.removeClass('aibg_ajaxing');

                    var res = JSON.parse(response);

                    if (res.success) {
                        alert('Post successfully saved as a draft');

                        window.location.href = res.aibg_view_link;
                    }
                }
            });
        // }
    });

    $(document).on('click', '.aibg_description_accept', function (e) {

        e.preventDefault();

        $(this).parents('.aibg_single_section_wrapper').find('.aibg_errors').remove();

        var aibg_desc_words = $(this).parents('.aibg_single_section_wrapper').find('.aibg_desc_words').val().trim();

        if (aibg_desc_words == '' || aibg_desc_words == null) {
            $(this).parents('.aibg_single_section_wrapper').find('.aibg_desc_words').after('<span class="aibg_errors">Please enter the idea for this paragraph.</span>')
        }
        else {
            $(this).html('Accepted');

            $(this).addClass('aibg_description_accepted');

        }

    });

    $(document).on('click', '.aibg_description_generate', function (e) {

        e.preventDefault();

        $(this).parents('.aibg_single_section_wrapper').find('.aibg_errors').remove();

        var aibg_this = $(this);

        var post_title = $('#aibg_title').val();

        var aibg_data_index = aibg_this.data('index');

        aibg_this.addClass('aibg_ajaxing');

        aibg_this.parents('.aibg_single_section_wrapper').find('.aibg_desc_words').val('');

        var aibg_generative = $(document).find('#aibg_generative_ai').is(':checked');

        var aibg_api_key = $(document).find('.aibg_api_input').val().trim();

        $.ajax({
            url: Aibg.ajax_url,
            type: 'POST',
            data: {
                action: 'aibg_generate_single_description',
                aibg_data_index: aibg_data_index,
                post_title: post_title,
                aibg_generative: aibg_generative,
                aibg_api_key: aibg_api_key,
                nonce: Aibg.nonce
            },
            success: function (response) {

                aibg_this.removeClass('aibg_ajaxing');

                var res = JSON.parse(response);

                if (res.success) {
                    aibg_this.parents('.aibg_single_section_wrapper').find('.aibg_desc_words').val(res.aibg_description);

                    aibg_this.html(`
                         <span class="aibg_button_text">
                            Regenerate
                        </span>
                        <span class="aibg_preloader">
                            <i class="fas fa-sync" aria-hidden="true"></i>
                        </span>
                    `);
                }
                else {
                    alert(res.error);
                }
            }
        })
    });

    $(document).on( 'click', '.aibg_reset_button', function(e){

        location.reload();

    });
    $(document).on( 'click', '.aibg_restart_button', function(e){

        $(document).find('.aibg_inner_steps_wrapper input, .aibg_inner_steps_wrapper textarea').val('');

        $(document).find('.aibg_accept_btn, .aibg_accept_desc_btn , .aibg_accept_img_btn').html('Accept').removeClass('aibg_description_accepted aibg_acception_required aibg_title_accepted');

        $(document).find('.aibg_description_generate .aibg_button_text').html('Generate');

        $(document).find('.aibg_generate_btn, .aibg_generate_img_btn').show();
        $(document).find('.aibg_error').remove();

        $(document).find('.aibg_btn_after_generation').hide();

        $(document).find('.aibg_image_wrapper').empty();

        if( $(this).parents('.aibg_inner_step').data('step') != 1 )
        {
            $(this).parents('.aibg_inner_step').fadeOut();

            $(document).find('.aibg_inner_step[data-step="1"]').fadeIn();
            
        }

    });
})